/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.enums.EnumIsocode;
import de.ship.db.tables.VDataquierValuelist;

import org.jooq.impl.TableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class VDataquierValuelistRecord extends TableRecordImpl<VDataquierValuelistRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.v_dataquier_valuelist.fk_valuelist</code>.
     */
    public void setFkValuelist(Integer value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.v_dataquier_valuelist.fk_valuelist</code>.
     */
    public Integer getFkValuelist() {
        return (Integer) get(0);
    }

    /**
     * Setter for <code>common_dd.v_dataquier_valuelist.codes</code>.
     */
    public void setCodes(String value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.v_dataquier_valuelist.codes</code>.
     */
    public String getCodes() {
        return (String) get(1);
    }

    /**
     * Setter for <code>common_dd.v_dataquier_valuelist.isocode</code>.
     */
    public void setIsocode(EnumIsocode value) {
        set(2, value);
    }

    /**
     * Getter for <code>common_dd.v_dataquier_valuelist.isocode</code>.
     */
    public EnumIsocode getIsocode() {
        return (EnumIsocode) get(2);
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached VDataquierValuelistRecord
     */
    public VDataquierValuelistRecord() {
        super(VDataquierValuelist.V_DATAQUIER_VALUELIST);
    }

    /**
     * Create a detached, initialised VDataquierValuelistRecord
     */
    public VDataquierValuelistRecord(Integer fkValuelist, String codes, EnumIsocode isocode) {
        super(VDataquierValuelist.V_DATAQUIER_VALUELIST);

        setFkValuelist(fkValuelist);
        setCodes(codes);
        setIsocode(isocode);
        resetChangedOnNotNull();
    }
}
